class AboutUsModel {
  String appBarName;
  String appBarNameColor;
  String appBarBgColor;
  String bgColor;
  String settingsBgColor;
  String appLogo;
  String appVersionText;
  String appVersionColor;
  List<String> dataKeys;
  List<Settings> settings;
  List<Articles> articles;
  String bottomName;
  String bottomNameColor;
  String appVerison;
  String appVersionCode;

  AboutUsModel(
      {this.appBarName,
        this.appBarNameColor,
        this.appBarBgColor,
        this.bgColor,
        this.settingsBgColor,
        this.appLogo,
        this.appVersionText,
        this.appVersionColor,
        this.dataKeys,
        this.settings,
        this.articles,
        this.bottomName,
        this.bottomNameColor});

  AboutUsModel.fromJson(Map<String, dynamic> json) {
    appBarName = json['app_bar_name'];
    appBarNameColor = json['app_bar_name_color'];
    appBarBgColor = json['app_bar_bg_color'];
    bgColor = json['bg_color'];
    settingsBgColor = json['settings_bg_color'];
    appLogo = json['app_logo'];
    appVersionText = json['app_version_text'];
    appVersionColor = json['app_version_color'];
    dataKeys = json['data_keys'].cast<String>();
    if (json['settings'] != null) {
      settings = new List<Settings>();
      json['settings'].forEach((v) {
        settings.add(new Settings.fromJson(v));
      });
    }
    if (json['articles'] != null) {
      articles = new List<Articles>();
      json['articles'].forEach((v) {
        articles.add(new Articles.fromJson(v));
      });
    }
    bottomName = json['bottom_name'];
    bottomNameColor = json['bottom_name_color'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['app_bar_name'] = this.appBarName;
    data['app_bar_name_color'] = this.appBarNameColor;
    data['app_bar_bg_color'] = this.appBarBgColor;
    data['bg_color'] = this.bgColor;
    data['settings_bg_color'] = this.settingsBgColor;
    data['app_logo'] = this.appLogo;
    data['app_version_text'] = this.appVersionText;
    data['app_version_color'] = this.appVersionColor;
    data['data_keys'] = this.dataKeys;
    if (this.settings != null) {
      data['settings'] = this.settings.map((v) => v.toJson()).toList();
    }
    if (this.articles != null) {
      data['articles'] = this.articles.map((v) => v.toJson()).toList();
    }
    data['bottom_name'] = this.bottomName;
    data['bottom_name_color'] = this.bottomNameColor;
    return data;
  }
}

class Settings {
  String type;
  List<String> dataKeys;
  String name;
  String subName;
  String nameColor;
  String subNameColor;
  String descText;
  String descColor;
  String skipIdentifier;

  Settings(
      {this.type,
        this.dataKeys,
        this.name,
        this.subName,
        this.nameColor,
        this.subNameColor,
        this.descText,
        this.descColor,
        this.skipIdentifier});

  Settings.fromJson(Map<String, dynamic> json) {
    type = json['type'];
    dataKeys = json['data_keys'].cast<String>();
    name = json['name'];
    subName = json['sub_name'];
    nameColor = json['name_color'];
    subNameColor = json['sub_name_color'];
    descText = json['desc_text'];
    descColor = json['desc_color'];
    skipIdentifier = json['skip_identifier'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['type'] = this.type;
    data['data_keys'] = this.dataKeys;
    data['name'] = this.name;
    data['sub_name'] = this.subName;
    data['name_color'] = this.nameColor;
    data['sub_name_color'] = this.subNameColor;
    data['desc_text'] = this.descText;
    data['desc_color'] = this.descColor;
    data['skip_identifier'] = this.skipIdentifier;
    return data;
  }
}

class Articles {
  String type;
  String title;
  String link;

  Articles({this.type, this.title, this.link});

  Articles.fromJson(Map<String, dynamic> json) {
    type = json['type'];
    title = json['title'];
    link = json['link'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['type'] = this.type;
    data['title'] = this.title;
    data['link'] = this.link;
    return data;
  }
}
