class OrderFoundSearchStyle {
  Top top;
  SearchCss searchCss;
  RuleCss ruleCss;
  FindRuleCss findRuleCss;
  ResultCss resultCss;
  FindRuleCss notFindRuleCss;

  OrderFoundSearchStyle(
      {this.top,
        this.searchCss,
        this.ruleCss,
        this.findRuleCss,
        this.resultCss,
        this.notFindRuleCss});

  OrderFoundSearchStyle.fromJson(Map<String, dynamic> json) {
    top = json['top'] != null ? new Top.fromJson(json['top']) : null;
    searchCss = json['search_css'] != null
        ? new SearchCss.fromJson(json['search_css'])
        : null;
    ruleCss = json['rule_css'] != null
        ? new RuleCss.fromJson(json['rule_css'])
        : null;
    findRuleCss = json['find_rule_css'] != null
        ? new FindRuleCss.fromJson(json['find_rule_css'])
        : null;
    resultCss = json['result_css'] != null
        ? new ResultCss.fromJson(json['result_css'])
        : null;
    notFindRuleCss = json['not_find_rule_css'] != null
        ? new FindRuleCss.fromJson(json['not_find_rule_css'])
        : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.top != null) {
      data['top'] = this.top.toJson();
    }
    if (this.searchCss != null) {
      data['search_css'] = this.searchCss.toJson();
    }
    if (this.ruleCss != null) {
      data['rule_css'] = this.ruleCss.toJson();
    }
    if (this.findRuleCss != null) {
      data['find_rule_css'] = this.findRuleCss.toJson();
    }
    if (this.resultCss != null) {
      data['result_css'] = this.resultCss.toJson();
    }
    if (this.notFindRuleCss != null) {
      data['not_find_rule_css'] = this.notFindRuleCss.toJson();
    }
    return data;
  }
}

class Top {
  String bgColor;
  String bgSubColor;
  String str;
  String strColor;

  Top({this.bgColor, this.bgSubColor, this.str, this.strColor});

  Top.fromJson(Map<String, dynamic> json) {
    bgColor = json['bg_color'];
    bgSubColor = json['bg_sub_color'];
    str = json['str'];
    strColor = json['str_color'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['bg_color'] = this.bgColor;
    data['bg_sub_color'] = this.bgSubColor;
    data['str'] = this.str;
    data['str_color'] = this.strColor;
    return data;
  }
}

class SearchCss {
  String str;
  String bgColor;
  String strColor;
  String btnStr;
  String btnStrColor;
  String btnBgColor;
  String btnBgSubColor;

  SearchCss(
      {this.str,
        this.bgColor,
        this.strColor,
        this.btnStr,
        this.btnStrColor,
        this.btnBgColor,
        this.btnBgSubColor});

  SearchCss.fromJson(Map<String, dynamic> json) {
    str = json['str'];
    bgColor = json['bg_color'];
    strColor = json['str_color'];
    btnStr = json['btn_str'];
    btnStrColor = json['btn_str_color'];
    btnBgColor = json['btn_bg_color'];
    btnBgSubColor = json['btn_bg_sub_color'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['str'] = this.str;
    data['bg_color'] = this.bgColor;
    data['str_color'] = this.strColor;
    data['btn_str'] = this.btnStr;
    data['btn_str_color'] = this.btnStrColor;
    data['btn_bg_color'] = this.btnBgColor;
    data['btn_bg_sub_color'] = this.btnBgSubColor;
    return data;
  }
}

class RuleCss {
  String str;
  String img;
  String imgUrl;

  RuleCss({this.str, this.img, this.imgUrl});

  RuleCss.fromJson(Map<String, dynamic> json) {
    str = json['str'];
    img = json['img'];
    imgUrl = json['img_url'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['str'] = this.str;
    data['img'] = this.img;
    data['img_url'] = this.imgUrl;
    return data;
  }
}

class FindRuleCss {
  String title;
  String content;

  FindRuleCss({this.title, this.content});

  FindRuleCss.fromJson(Map<String, dynamic> json) {
    title = json['title'];
    content = json['content'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['title'] = this.title;
    data['content'] = this.content;
    return data;
  }
}

class ResultCss {
  String btnBgColor;
  String btnBgSubColor;

  ResultCss({this.btnBgColor, this.btnBgSubColor});

  ResultCss.fromJson(Map<String, dynamic> json) {
    btnBgColor = json['btn_bg_color'];
    btnBgSubColor = json['btn_bg_sub_color'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['btn_bg_color'] = this.btnBgColor;
    data['btn_bg_sub_color'] = this.btnBgSubColor;
    return data;
  }
}
