import 'dart:async';

import 'package:bloc/bloc.dart';

import 'package:flutter/cupertino.dart';
import 'package:zhiying_base_widget/pages/search_result_page/item/bloc/search_result_item_repository.dart';
import 'package:zhiying_comm/zhiying_comm.dart';
import 'search_result_item_state.dart';
import 'search_result_item_event.dart';

class SearchResultItemBloc extends Bloc<SearchResultItemEvent, SearchResultItemState> {
  // SearchResultItemBloc() : super(SearchResultItemInitial());

  SearchResultItemRepository repository;



  SearchResultItemBloc({@required this.repository}) : super(SearchResultItemInitial());

  @override
  Stream<SearchResultItemState> mapEventToState(
    SearchResultItemEvent event,
  ) async* {
    /// 初始化
    if (event is SearchResultItemInitEvent) {
      yield* _mapInitEventToState(event);
    }
    /// 下拉刷新成功事件
    if(event is SearchResultItemRefreshSuccessEvent) {
      yield SearchResultItemRefreshSuccessState();
    }
    /// 下拉刷新失败事件
    if(event is SearchResultItemRefreshErrorEvent) {
      yield SearchResultItemRefreshErrorState();
    }
    /// 上拉更多成功事件
    if(event is SearchResultItemLoadSuccessEvent) {
      yield SearchResultItemLoadSuccessState();
    }
    /// 上拉更多失败事件
    if(event is SearchResultItemLoadNoMoreEvent) {
      yield SearchResultItemLoadNoMoreState();
    }
  }

  /// 初始化
  Stream<SearchResultItemState> _mapInitEventToState(SearchResultItemInitEvent event) async* {
    /// 获取缓存数据
    var cache = await repository.fetchCacheData(event.model);
    if (!EmptyUtil.isEmpty(cache)) {
      yield SearchResultItemLoadedState(model: cache);
    }

    /// 访问网络数据
    var result = await repository.fetchInitData(event.model);
    if (!EmptyUtil.isEmpty(result)) {
      yield SearchResultItemLoadedState(model: result);
    } else {
      yield SearchResultItemErrorState();
    }
  }
}
