class OrderClassStyle {
  String name;
  String desc;
  String title;
  int customFeaturesCate;
  String moduleType;
  String moduleKey;
  String isTopMargin;
  String isLeftRightMargin;
  String isShow;
  String topMargin;
  String leftRightMargin;
  String topLeftRadius;
  String topRightRadius;
  String bottomLeftRadius;
  String bottomRightRadius;
  String bgColor;
  String subTitle;
  List<ListStyle> listStyle;
  int columSize;

  OrderClassStyle(
      {this.name,
        this.desc,
        this.title,
        this.customFeaturesCate,
        this.moduleType,
        this.moduleKey,
        this.isTopMargin,
        this.isLeftRightMargin,
        this.isShow,
        this.topMargin,
        this.leftRightMargin,
        this.topLeftRadius,
        this.topRightRadius,
        this.bottomLeftRadius,
        this.bottomRightRadius,
        this.bgColor,
        this.subTitle,
        this.listStyle,
        this.columSize});

  OrderClassStyle.fromJson(Map<String, dynamic> json) {
    name = json['name'];
    desc = json['desc'];
    title = json['title'];
    customFeaturesCate = json['custom_features_cate'];
    moduleType = json['module_type'];
    moduleKey = json['module_key'];
    isTopMargin = json['is_top_margin'];
    isLeftRightMargin = json['is_left_right_margin'];
    isShow = json['is_show'];
    topMargin = json['top_margin'];
    leftRightMargin = json['left_right_margin'];
    topLeftRadius = json['top_left_radius'];
    topRightRadius = json['top_right_radius'];
    bottomLeftRadius = json['bottom_left_radius'];
    bottomRightRadius = json['bottom_right_radius'];
    bgColor = json['bg_color'];
    subTitle = json['sub_title'];
    if (json['list_style'] != null) {
      listStyle = new List<ListStyle>();
      json['list_style'].forEach((v) {
        listStyle.add(new ListStyle.fromJson(v));
      });
    }
    columSize = json['colum_size'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['name'] = this.name;
    data['desc'] = this.desc;
    data['title'] = this.title;
    data['custom_features_cate'] = this.customFeaturesCate;
    data['module_type'] = this.moduleType;
    data['module_key'] = this.moduleKey;
    data['is_top_margin'] = this.isTopMargin;
    data['is_left_right_margin'] = this.isLeftRightMargin;
    data['is_show'] = this.isShow;
    data['top_margin'] = this.topMargin;
    data['left_right_margin'] = this.leftRightMargin;
    data['top_left_radius'] = this.topLeftRadius;
    data['top_right_radius'] = this.topRightRadius;
    data['bottom_left_radius'] = this.bottomLeftRadius;
    data['bottom_right_radius'] = this.bottomRightRadius;
    data['bg_color'] = this.bgColor;
    data['sub_title'] = this.subTitle;
    if (this.listStyle != null) {
      data['list_style'] = this.listStyle.map((v) => v.toJson()).toList();
    }
    data['colum_size'] = this.columSize;
    return data;
  }
}

class ListStyle {
  String idx;
  String title;
  String img;
  Data data;
  String imgUrl;
  String subTitle;
  String isShow;
  String rightIcon;
  String rightIconUrl;
  String skipIdentifier;
  String requiredLogin;
  String requiredTaobaoAuth;
  String isJump;
  String cateTag;
  String skipName;

  ListStyle(
      {this.idx,
        this.title,
        this.img,
        this.data,
        this.imgUrl,
        this.subTitle,
        this.isShow,
        this.rightIcon,
        this.rightIconUrl,
        this.skipIdentifier,
        this.requiredLogin,
        this.requiredTaobaoAuth,
        this.isJump,
        this.cateTag,
        this.skipName});

  ListStyle.fromJson(Map<String, dynamic> json) {
    idx = json['idx']?.toString();
    title = json['title'];
    img = json['img'];
    data = json['data'] != null ? new Data.fromJson(json['data']) : null;
    imgUrl = json['img_url'];
    subTitle = json['sub_title'];
    isShow = json['is_show'];
    rightIcon = json['right_icon'];
    rightIconUrl = json['right_icon_url'];
    skipIdentifier = json['skip_identifier'];
    requiredLogin = json['required_login'];
    requiredTaobaoAuth = json['required_taobao_auth'];
    isJump = json['is_jump'];
    cateTag = json['cate_tag'];
    skipName = json['skip_name'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['idx'] = this.idx;
    data['title'] = this.title;
    data['img'] = this.img;
    if (this.data != null) {
      data['data'] = this.data.toJson();
    }
    data['img_url'] = this.imgUrl;
    data['sub_title'] = this.subTitle;
    data['is_show'] = this.isShow;
    data['right_icon'] = this.rightIcon;
    data['right_icon_url'] = this.rightIconUrl;
    data['skip_identifier'] = this.skipIdentifier;
    data['required_login'] = this.requiredLogin;
    data['required_taobao_auth'] = this.requiredTaobaoAuth;
    data['is_jump'] = this.isJump;
    data['cate_tag'] = this.cateTag;
    data['skip_name'] = this.skipName;
    return data;
  }
}

class Data {
  String sourceType;

  Data({this.sourceType});

  Data.fromJson(Map<String, dynamic> json) {
    sourceType = json['source_type'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['source_type'] = this.sourceType;
    return data;
  }
}
