import 'dart:async';
import 'dart:convert';

import 'package:zhiying_base_widget/dialog/loading/loading.dart';
import 'package:zhiying_comm/util/base_bloc.dart';
import 'package:zhiying_comm/zhiying_comm.dart';

import 'model/wallet_detail_data_model.dart';

class WalletDetailBloc extends BlocBase {
  StreamController<WalletDetailDataModel> _dataController = StreamController<WalletDetailDataModel>();

  Stream<WalletDetailDataModel> get outData => _dataController.stream;

  ///选中的某一时间的数据
  WalletDetailDataModel selectDateData;

  String selectDay = "today";

  List<WalletDetailDataModel> listDataModel = new List();

  String currentType;

  WalletDetailDataModel currentWalletDetailDataModel;

  @override
  void dispose() {
    _dataController.close();
    _dataController = null;
  }

  ///
  /// 加载头部数据
  ///
  loadData(String type, String time) async {
    currentType = type;
    await NetUtil.request("/api/v1/user/wallet/" + type + "?time=" + time, onSuccess: (data) {
      if (currentType == type) {
        listDataModel.clear();
        listDataModel.addAll(List.from(data).map((v) {
          return WalletDetailDataModel.fromJson(v);
        }).toList());
        currentWalletDetailDataModel = listDataModel[0];
        refresh();
      }
      Loading.dismiss();
    }, onError: (e) {
      Fluttertoast.showToast(msg: "加载数据出了小差");
      Loading.dismiss();
    }, timeOut: 60000);
  }

  ///刷新页面
  refresh() {
    selectDateData = currentWalletDetailDataModel;
    _dataController.add(selectDateData);
  }
}
